Admin APIs/Activity Logs
User Activity Logs
GET
/admin/users/:id/activitylogsBearer token required
ADMINContent-Type:
application/jsonPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | number | Required |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
limit | integer | Optional | 5–50 |
cursorId | integer | Optional | Cursor for pagination |
from | string | Optional | ISO date |
to | string | Optional | ISO date |
q | string | Optional | Search text |
userId | integer | Optional | Filter by user |
actionPrefix | string | Optional | Action filter |
entity | string | Optional | Entity type |
Code Examples
curl -X GET 'https://<your-domain>:3001/admin/users/:id/activitylogs' \
-H 'Authorization: Bearer <token>'Try It
API Playground
Sends a real request to the configured serverid*limitcursorIdfromtoquserIdactionPrefixentity